<div id="{{ idPrefix }}property_vacancy_management_widget" class="mdc-card h-100">
    <div class="card-header p-3 d-flex mb-4">
        <div class="icon-thumbnail me-4 ms-0 align-text-top">
            <span>
                <i class="material-icons">
                    store_mall_directory
                </i>
            </span>
        </div>
        <div class="card-title align-self-center">
            <h2 class="mb-1 fs-4">Besatz und Leerstand</h2>
            <p class="mb-0">Übersicht der aktuell im System erfassten Nutzungseinheiten</p>
        </div>
        <div class="ms-auto align-text-top">
            {% set listItems = [
                {
                    'label': 'zur Kartenansicht',
                    'url': path('property_vacancy_management_building_unit_overview_map'),
                    'icon': 'map'
                },
                {
                    'label': 'zur Galerieansicht',
                    'url': path('property_vacancy_management_building_unit_overview_gallery'),
                    'icon': 'view_module'
                },
                {
                    'label': 'zur Listenansicht',
                    'url': path('property_vacancy_management_building_unit_overview_list'),
                    'icon': 'list'
                },
            ] %}

            {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_PROPERTY_PROVIDER') %}
                {% set listItems = listItems|merge([
                    {
                        'label': 'neues Objekt erfassen',
                        'url': path('property_vacancy_management_building_unit_create'),
                        'icon': 'add_business'
                    },
                ]) %}
            {% endif %}

            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': idPrefix ~ 'property_vacancy_management_widget',
                'listItems': listItems
            } only %}
        </div>
    </div>

    <div class="card-body p-4 pt-0 h-100">
        <div class="row">
            <div class="col-12 col-lg-6">
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        in Nutzung:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ (propertyVacancyManagementStatistics.getInUse() + propertyVacancyManagementStatistics.getBecomesEmpty()) }}</span>
                    </div>
                </div>
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        <small>&raquo; davon drohender Leerstand:</small>
                    </div>
                    <div class="ms-auto mb-3">
                        <small class="fw-bold text-secondary">{{ propertyVacancyManagementStatistics.getBecomesEmpty()  }}</small>
                    </div>
                </div>
                <div class="d-flex mb-2 mt-4">
                    <div class="ms-0">
                        Leerstand:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ (propertyVacancyManagementStatistics.getEmpty() + propertyVacancyManagementStatistics.getReuseAgreed()) }}</span>
                    </div>
                </div>
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        <small>&raquo; davon Nachnutzung vereinbart:</small>
                    </div>
                    <div class="ms-auto">
                        <small class="fw-bold text-secondary">{{ propertyVacancyManagementStatistics.getReuseAgreed() }}</small>
                    </div>
                </div>
            </div>
            <div class="col-12 col-lg-6">
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        Einzelhandel:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ propertyVacancyManagementStatistics.getRetail() }}</span>
                    </div>
                </div>
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        Dienstleistung:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ propertyVacancyManagementStatistics.getService() }}</span>
                    </div>
                </div>
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        Gastronomie/Beherbergung:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ propertyVacancyManagementStatistics.getGastronomy() }}</span>
                    </div>
                </div>
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        Kunst, Kultur, Unterhaltung:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ propertyVacancyManagementStatistics.getArtCulture() }}</span>
                    </div>
                </div>
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        Weitere:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ propertyVacancyManagementStatistics.getOther() }}</span>
                    </div>
                </div>
            </div>
        </div>
        {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') %}
            <div class="row mt-3">
                <div class="col-12 col-lg-6">
                    <div class="d-flex mb-2">
                        <div class="ms-0">
                            von mir erfasst:
                        </div>
                        <div class="ms-auto">
                            <span class="fs-6 fw-bold text-secondary">{{ propertyVacancyManagementStatistics.getCreatedByCurrentUser() }}</span>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-lg-6">
                    <div class="d-flex mb-2">
                        <div class="ms-0">
                            mir zugewiesen:
                        </div>
                        <div class="ms-auto">
                            <span class="fs-6 fw-bold text-secondary">{{ propertyVacancyManagementStatistics.getAssignedToCurrentUser() }}</span>
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
</div>
